---
title: DOMPoint.w
slug: Web/API/DOMPoint/w
tags:
  - API
  - DOM
  - DOMPoint
  - Geometry
  - Geometry Interfaces
  - Point
  - Property
  - Reference
  - W
  - perspective
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <code><strong>DOMPoint</strong></code> interface's <code><strong>w</strong></code> property holds the point's perspective value, w, for a point in space.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>perspective</em> = <em>DOMPoint</em>.w;</pre>

<h3 id="Value">Value</h3>

<p>A double-precision floating-point value indicating the <em>w</em> perspective value for the point. This value is <strong>unrestricted</strong>, meaning that it is allowed to be infinite or invalid (that is, its value may be {{jsxref("NaN")}} or {{jsxref("Infinity", "±Infinity")}}). The default is 1.0.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Geometry Interfaces', '#dom-dompoint-w', 'w')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMPointReadOnly.w")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The other coordinate properties: {{domxref("DOMPoint.x", "x")}}, {{domxref("DOMPoint.y", "y")}}, and {{domxref("DOMPoint.z", "z")}}.</li>
</ul>
